#!/bin/sh

PKG_ETC_DIR="$APKG_PKG_DIR/etc"
PKG_TMP_DIR="$APKG_PKG_DIR/tmp"
AVAHI_REGISTER=/usr/builtin/sbin/avahiregister

case "$APKG_PKG_STATUS" in
    install)
		cp $APKG_PKG_DIR/CONTROL/UC50download-center.sh /usr/local/etc/script/
        ;;
    upgrade)
        cp -fa $APKG_TEMP_DIR/* $PKG_ETC_DIR
        rm -rf $PKG_TMP_DIR/btindex*
        rm -rf $PKG_TMP_DIR/btsearch*
		/usr/local/AppCentral/download-center/bin/regist_port
		/usr/local/AppCentral/download-center/bin/utility add_default_owner
		/usr/local/AppCentral/download-center/bin/utility update-search-site
		cp $APKG_PKG_DIR/CONTROL/UC50download-center.sh /usr/local/etc/script/
        ;;
    *)
        ;;
esac

mkdir -p $PKG_TMP_DIR

# Register this service to avahi.
$AVAHI_REGISTER -reg dc %h _ASUSTOR_DC._tcp -1

exit 0
